package ims;

import java.awt.*;
import java.awt.event.*;
import java.util.*;


//IMS Education Use Dependent Class

public class imsEducational extends Any{
  
  public imsLangString interactivitytype;
  public imsLangString[] learningresourcetype;
  public String interactivitylevel;
  public String semanticdensity;
  public imsLangString[] intendedenduserrole;
  public imsLangString[] learningcontext;
  public imsLangString[] typicalagerange;
  public String difficulty;
  public imsDateTime typicallearningtime;
  public imsLangString description;
  public String[] language;
  
  //  public imsEducational(){}
  public imsEducational(imsLangString aInteractivityType, imsLangString[] aLearningResourceType,
		                String aInteractivityLevel, String aSemanticDensity,
		                imsLangString[] aIntendedEndUserRole, imsLangString[] aLearningContext,
		                imsLangString[] aTypicalAgeRange, String aDifficulty, 
		                imsDateTime aTypicalLearningTime, imsLangString aDescription,
		                String[] aLanguage) {
		                
      interactivitytype = aInteractivityType;
      learningresourcetype = aLearningResourceType; 
      interactivitylevel = aInteractivityLevel;
      semanticdensity = aSemanticDensity;
      intendedenduserrole = aIntendedEndUserRole;
      learningcontext = aLearningContext;
      typicalagerange = aTypicalAgeRange;
      difficulty = aDifficulty;
      typicallearningtime = aTypicalLearningTime;
      description = aDescription;
      language = aLanguage;
  }


  public String imsWrite2XMLString(){
    StringBuffer sb = new StringBuffer("<EDUCATIONAL>");

    sb.append("<INTERACTIVITYTYPE>\n"+interactivitytype.imsWrite2XMLString()+"</INTERACTIVITYTYPE>\n");

    for(int i=0; i < learningresourcetype.length; i++)
      sb.append("<LEARNINGRESOURCETYPE>\n"+learningresourcetype[i].imsWrite2XMLString()+"</LEARNINGRESOURCETYPE>\n");

    sb.append("<INTERACTIVITYLEVEL>"+interactivitylevel+"</INTERACTIVITYLEVEL>\n");
    sb.append("<SEMANTICDENSITY>"+semanticdensity+"</SEMANTICDENSITY>\n");

    for(int i=0; i < intendedenduserrole.length; i++)
      sb.append("<INTENDEDENDUSERROLE>\n"+intendedenduserrole[i].imsWrite2XMLString()+"</INTENDEDENDUSERROLE>\n");

    for(int i=0; i < learningcontext.length; i++)
      sb.append("<LEARNINGCONTEXT>\n"+learningcontext[i].imsWrite2XMLString()+"</LEARNINGCONTEXT>\n");

    for(int i=0; i < typicalagerange.length; i++)
      sb.append("<TYPICALAGERANGE>\n"+typicalagerange[i].imsWrite2XMLString()+"</TYPICALAGERANGE>\n");

    sb.append("<DIFFICULTY>"+difficulty+"</DIFFICULTY>\n");
    sb.append("<TYPICALLEARNINGTIME>\n"+typicallearningtime.imsWrite2XMLString()+"</TYPICALLEARNINGTIME>\n");
    sb.append("<DESCRIPTION>\n"+description.imsWrite2XMLString()+"</DESCRIPTION>\n");

    for(int i=0; i < language.length; i++)
      sb.append("<LANGUAGE>\n"+language[i]+"</LANGUAGE>\n");

    sb.append("</EDUCATIONAL>");
    return sb.toString();
  }
}
